Package org.jboss.resteasy.client.jaxrs.internal.proxy.processors

## Class AbstractCollectionProcessor<T>

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.processors.AbstractCollectionProcessor<T>

- Direct Known Subclasses:
    `AbstractInvocationCollectionProcessor`, `AbstractWebTargetCollectionProcessor`

      public abstract class AbstractCollectionProcessor<T>
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Annotation[]` | `annotations` |
    `protected ClientConfiguration` | `config` |
    `protected String` | `paramName` |
    `protected Type` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractCollectionProcessor​(String paramName)` |
    `AbstractCollectionProcessor​(String paramName, Type type, Annotation[] annotations, ClientConfiguration config)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract T` | `apply​(T target, Object... objects)` |
    `T` | `buildIt​(T target, Object object)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### paramName

          protected String paramName

    - #### type

          protected Type type

    - #### annotations

          protected Annotation[] annotations

    - #### config

          protected ClientConfiguration config

  - ### Constructor Detail

    - #### AbstractCollectionProcessor

          public AbstractCollectionProcessor​(String paramName)

    - #### AbstractCollectionProcessor

          public AbstractCollectionProcessor​(String paramName,
                                             Type type,
                                             Annotation[] annotations,
                                             ClientConfiguration config)

  - ### Method Detail

    - #### apply

          protected abstract T apply​(T target,
                                     Object... objects)

    - #### buildIt

          public T buildIt​(T target,
                           Object object)